$(function() {

    const $buttonLoadMore = $('.concept-load-more');
    const $container = $('.articles-container');
    const uuid = $container.data('uuid');
    let postsCounter = $container.data('posts');

    const renderArticles = response => {
        const data = JSON.parse(response);
        const articles = data.articles || [];
        const all_articles_loaded = data.all_articles_loaded || false;

        postsCounter += articles.length;

        if(all_articles_loaded) {
            $buttonLoadMore.remove();
        }

        const $articleContainer = $container.find('.row:last-child');
        articles.map(article => $articleContainer.append(article));
    }

    const fetchArticles = () => {
        $buttonLoadMore.attr('data-status', 'loading');

        const ajaxData = {
            action: 'fetch_concept_posts',
            data: {
                uuid,
                start: postsCounter,
            }
        };

        $.ajax({
            type : 'GET',
            url : infomaker.ajaxurl,
            data : ajaxData,
            success : response => renderArticles(response),
            error : error => console.log('error: ', error),
            complete: () => $buttonLoadMore.attr('data-status', 'done'),
        });
    }

    $buttonLoadMore.on('click', fetchArticles);
});